Apple USB power adapter MB707ZM/A fried and burned my iPhone sync cable too.
Last night my Apple USB power adapter that I use to charge my iPhone 3GS got completely fried.
I noticed that the charger was getting really hot while in use but as other products that turn quite hot I didn't paid attention to it.
Well, I can recommend to NOT charge your iPhone with this new charger at night. Glad we have 10A fuses in our house for the sleeping room so that the fuse switched off quite fast, not to imagine what could happen if it would remain on.
This morning I thought to call T-Mobile and tell the story to get a new charger and a new charger/sync cable since both are burned.
In my opinion this could be handled quite fast, same like Apple did before with repairs, they ship me a new one. If the broken one seems not to be broken or is broken as result of my own stupidity they charge me the new one and ship me my old product back.
Too bad you have to wait 4 weeks for T-mobile's repairing process to return you a new charger. So I think I'll just buy a new charger and cable in the local store so I can use my iPhone normally without having to worry about the battery.
This is what the charger looks like normally:
Now this charger is really fried so I don't think they would even try to put it into a power socket (at least, I wouldn't).
The sync cable seems to be repairable but I don't trust products that are burned. We'll see what the'll make of that.
This is what it looks like after it got fried:

Bad service of T-mobile for a 1 month old charger to not directly replace it but let someone wait 4 weeks.
Situations like this really makes me think of jailbrake my iPhone and go to an other provider. I think as a provider you should do better if someone is a client for over 10 years already and even has multiple accounts.
Seems like that doesn't matter at all... Your just a number...
[14-08-2010, UPDATE: Got a new adapter]
After I shipped out it took some days, which is normal. Suddenly Solid Vision called me to ask my IMEI number of my phone, they couldn't find the warranty information without it since I have multiple iPhones registered on my name. Not even a half week later they shipped me a fresh and new adapter. Nice work guys!
How to fix USB sticks that may damage or destroy your computer
In this 'tutorial' I'll show you how to fix a unsafe USB stick that can really damage your computer.
The problem with these USB sticks is the iron plate on the back, when you put it into the USB port the other way around you create a short circuit on the motherboard. New computers detect this and give an alert or instant power off.
Old computers simply start to have a little barbecue fire inside... Which might not be what to expect from a USB stick.
First we have the normal USB stick, nothing special...

Lets bend the iron plate a bit for so we can grab it...

This will result in the following.

Then bend the plate over the whole width of the USB stick like this.

The USB flash chip is now lose from the slide tray.

Next, pull out the iron plate!

Tataah, no plate... Empty stick...

You should have these parts now, if not, something went wrong.

The next thing we do is... Glue it!

Put some glue on the slider tray.

Place the flash chip back on the slider tray.

Which should result like this, and your done.

Now you know how to take apart this.

And then put it back together until you get this.

This project was sponsored by PersC.
Rewrote Western Digital Sharespace to Sharespace synchronisation
For a script running from a FreeBSD server check this script.
~~~
I earlier wrote a script to sync two Western Digital ShareSpace drives. Since that was written in a hurry I thought lets have another good look at it...
I changed the checks for USB drives and sync the complete the shares directory instead of only the shares.
The following script is a new rewritten version of the old script which works faster for my use.
You may modify it to suit your situation but please leave the credits in the file
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 | #!/bin/sh # WD ShareSpace sync script v1.1 # By Marius van Witzenburg <info@mariusvw.com> # http://mariusvw.com # # Works with busybox 1.1.1 and newer versions. # # Settings src_ip="172.20.20.22" mailto="marius@persc.nl" mailfrom="noreply@persc.nl" daemon="yes" force="no" waittime=5 maxlogs=48 # # DO NOT CHANGE BELOW! # PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/sbin PID=$$ pwd=`pwd` root=`dirname $0` logdir=${root}/logs logfile=`basename $0` cd ${root} cleanup() { #rm -f ${log} return $? } s_hup() { logger -s -p daemon.notice -t ${logfile} "*** SIGHUP! Exiting... ***" cleanup #exit $? } s_int() { logger -s -p daemon.notice -t ${logfile} "*** SIGINT! Exiting... ***" echo -e "From: ${mailfrom}\nTo: ${mailto}\nSubject: ShareSpace backup.\n\nSIGINT! Exiting..." | /usr/sbin/msmtp ${mailto} kill ${JOB} exit $? } s_term() { logger -s -p daemon.notice -t ${logfile} "*** SIGTERM! Exiting... ***" echo -e "From: ${mailfrom}\nTo: ${mailto}\nSubject: ShareSpace backup.\n\nSIGTERM! Exiting..." | /usr/sbin/msmtp ${mailto} kill ${JOB} exit $? } trap s_hup SIGHUP trap s_int SIGINT trap s_term SIGTERM if [ "${daemon}" = "yes" ] then logger -s -p daemon.notice -t ${logfile} "Having a rest for the first run..." sleep 30 & JOB=$! wait ${JOB} fi # Loop and loop and loop... while [ "true" ] do # Check if ssh host is up and running. alive=`ssh -ax -c blowfish -q -q -o "BatchMode=yes" -o "ConnectTimeout 5" root@${src_ip} "echo 2>&1" && return 0 || echo 1` if [ "${alive}" -eq 0 ] then # Change the \1 to 1-3 depending on which load you want #loadavg=`ssh -ax -c blowfish root@${src_ip} uptime | sed -e "s/.*load average: \(.*\...\), \(.*\...\), \(.*\...\)/\1/" -e "s/ //g"` loadavg=`ssh -ax -c blowfish root@${src_ip} uptime | sed 's/.*average: \([0-9]\).*/\1/g'` if [ "${loadavg}" -eq 0 ] || [ "${force}" = "yes" ] then # Be sure we have a log dir test -d ${logdir} || mkdir ${logdir} # Shift logs test -f ${logdir}/${logfile}.${maxlogs} && rm -f ${logdir}/${logfile}.${maxlogs} lcur=${maxlogs} while [ ${lcur} -gt 1 ] do lpre=${lcur} lcur=`expr ${lcur} - 1` test -f ${logdir}/${logfile}.${lcur}.gz && mv ${logdir}/${logfile}.${lcur}.gz ${logdir}/${logfile}.${lpre}.gz done test -f ${logdir}/${logfile} && mv ${logdir}/${logfile} ${logdir}/${logfile}.1 test -f ${logdir}/${logfile}.1 && gzip ${logdir}/${logfile}.1 logger -s -p daemon.notice -t ${logfile} "Starting backup from '${src_ip}'" # Sync internal shares and exclude usb shares logger -s -p daemon.notice -t ${logfile} "Syncing internal shares..." rsync -e 'ssh -ax -c blowfish -l root' -aWvz --timeout=30 --exclude="/usb[1-3]-1share1" --delete --stats ${src_ip}:/shares/ /shares/ > ${logdir}/${logfile} 2>&1 & JOB=$! wait ${JOB} # Sync usb shares if connected for x in `ssh -ax -c blowfish root@${src_ip} ls -l /shares/| grep "^d" | awk '{ print $9 }'` do if [ ! -z "`expr ${x} : '\(usb[0-9]-[0-9]share[0-9]\)'`" ] then if [ -d "/shares/${x}/" ] then logger -s -p daemon.notice -t ${logfile} "Syncing ${x}..." rsync -e 'ssh -ax -c blowfish -l root' -aWvz --timeout=30 --delete --stats ${src_ip}:/shares/${x}/ /shares/${x}/ >> ${logdir}/${logfile} 2>&1 & JOB=$! wait ${JOB} fi fi done tail -2 ${logdir}/${logfile} | logger -s -p daemon.info -t ${logfile} else logger -s -p daemon.notice -t ${logfile} "Load average on '${src_ip}' is ${loadavg} - aborting" fi else logger -s -p daemon.notice -t ${logfile} "No access to '${src_ip}' - aborting" fi if [ "${daemon}" != "yes" ] then logger -s -p daemon.notice -t ${logfile} "Backup finished" break fi logger -s -p daemon.notice -t ${logfile} "Waiting for cycle (${waittime} minutes)..." sleep `expr ${waittime} \* 60` & JOB=$! wait ${JOB} logger -s -p daemon.notice -t ${logfile} "Running cycle..." done # Go back to old location cd ${pwd} # EOF |
Copy/Move Time Machine disk backup to Time Capsule
Ok, how I write it it might sound simple, but of course, horrible things can go wrong and you could lose your data.
Don't take me responsible for losing any of your data, even if I say that the chance of losing it is low!
Ok, that was said... Are you scared yet?
What you need or what you should have if you want to follow this manual:
- USB/FireWire Time Machine backup
- Time Capsule who has enough disk space free
- Patience...
- A good copy program like SuperDuper! (which I used) or Carbon Copy Cloner
Here is my simple manual how I got it working to save my old backups on my Time Capsule from my Time Machine USB disk.
- Stop your Time Machine backup and disable the old disk in Time Machine
- Configure Time Machine to use the Time Capsule disk
- After Time Machine started its first backup, stop it after 1 minute or so
- Turn off Time Machine
- Mount the Sparse Image from your Time Capsule in Mac OS X from Finder
- Launch SuperDuper! and tell it to copy from your Old backup disk to the mounted Sparce Image
- Go get some thee...
- After its done, quit SuperDuper!
- Unmount the Sparce Image and unmount your old backup disk.
- Start Time Machine again and check if it pics up the Time Capsule correctly
This should be all to save your old backups on your new shiny Time Capsule.
Reason why you can't just copy the data from your old backup disk is the Sparse Image.
Its just the way how the Time Capsule stores your Time Machine data on the disk.
Good luck!
If you have any comments that might improve this manual, please let me know!
USB CPU Meter with tachometer.
First I thought that this couldn't be possible but it really is!
For more information check the creators website at:
http://www.cesaretto.it/usb-cpu-meter/









